EXECUTE IMMEDIATE $$

DECLARE
  COUNTER INTEGER DEFAULT 0;
  MAX_USERS INTEGER DEFAULT 40;
  USER_ID VARCHAR DEFAULT 'USER00';
  USER_NAME VARCHAR DEFAULT 'LABCAMP_USER00';
  USER_WAREHOUSE VARCHAR DEFAULT 'LABCAMP_WH_00';

BEGIN
  FOR I IN 1 TO MAX_USERS DO
    COUNTER := COUNTER + 1;
    LET USER_ID := CONCAT('USER', LPAD(TO_VARCHAR(COUNTER), 2, '0'));
    LET USER_NAME := CONCAT('LABCAMP_', USER_ID);

    DROP USER identifier(:USER_NAME);
    
  END FOR;
  RETURN COUNTER;

END;
$$
;

SHOW USERS;